Nimply Developers
API ReferenceBrand kits

Add examples to learn the look from

POST
/v1/brand-kits/{id}/style/examples

Images from the media library (mediaIds) and/or published posts (postIds). Duplicates are skipped; up to 50 examples per kit, at least 3 to learn. Free — learning is what spends credits.

AuthorizationBearer <token>

Workspace API key (nim_live_...)

In: header

Path Parameters

id*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/brand-kits/497f6eca-6276-4993-bfeb-53cbbbba6f08/style/examples" \  -H "Content-Type: application/json" \  -d '{}'
{  "brandKitId": "0d0050df-b55b-4bc4-9157-db98df0f07d0",  "brandKitName": "Brewhaus",  "status": "empty",  "version": 2,  "learnedAt": "2019-08-24T14:15:22Z",  "lastError": "string",  "summary": "string",  "palette": [    {      "hex": "#F0530F",      "role": "background",      "share": 0.32    }  ],  "fonts": {    "heading": "string",    "body": "string",    "note": "string"  },  "doNots": [    "string"  ],  "recipes": [    {      "contentType": "promo",      "label": "Bold promo",      "description": "string"    }  ],  "rules": [    {      "id": "learned:0",      "text": "Headlines are short and set in heavy type.",      "source": "LEARNED",      "enabled": true    }  ],  "examples": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "source": "media",      "sourceId": "797f5a94-3689-4ac8-82fd-d749511ea2b2",      "status": "pending",      "contentType": "promo",      "previewUrl": "string"    }  ],  "exampleCount": 8,  "minExamples": 3,  "maxExamples": 50,  "learnEstimate": {    "creditsMax": 60,    "newExamples": 6  },  "creditsAvailable": 1840,  "creditsUsed": 52,  "job": {    "id": "string",    "stage": "resolve",    "percent": 40  }}
Empty
Empty
Empty